--- Source/Core/Common/Src/MemArena.cpp.orig	2010-03-19 09:41:01.000000000 +0000
+++ Source/Core/Common/Src/MemArena.cpp	2010-03-26 18:09:56.797647256 +0000
@@ -71,8 +71,10 @@
 			PROT_READ | PROT_WRITE,
 			MAP_SHARED
 #ifdef __x86_64__
+#ifndef __FreeBSD__
 			| (ensure_low_mem ? MAP_32BIT : 0)
 #endif
+#endif
 			, fd, offset);
 	return ptr;
 #endif
@@ -123,7 +125,7 @@
 	}
 	return base;
 #else
-	void* base = mmap(0, 0x31000000, PROT_READ | PROT_WRITE, MAP_ANONYMOUS | MAP_SHARED, 0, 0);
+	void* base = mmap(0, 0x31000000, PROT_READ | PROT_WRITE, MAP_ANONYMOUS | MAP_SHARED, -1, 0);
 	if (base == MAP_FAILED) {
 		PanicAlert("Failed to map 1 GB of memory space: %s", strerror(errno));
 		return 0;
