--- Source/Core/Core/Src/MemTools.cpp.orig	2010-03-19 09:41:09.000000000 +0000
+++ Source/Core/Core/Src/MemTools.cpp	2010-03-25 19:21:44.031961883 +0000
@@ -27,11 +27,18 @@
 #define CREG_EAX(ctx) (ctx)->gregs[REG_EAX]
 #define CREG_EIP(ctx) (ctx)->gregs[REG_EIP]
 #else
+#ifdef __FreeBSD__
+#define CREG_RAX(ctx) (ctx)->mc_rax
+#define CREG_RIP(ctx) (ctx)->mc_rip
+#define CREG_EAX(ctx) (ctx)->mc_eax
+#define CREG_EIP(ctx) (ctx)->mc_eip
+#else
 #define CREG_RAX(ctx) (*(ctx))->__ss.__rax
 #define CREG_RIP(ctx) (*(ctx))->__ss.__rip
 #define CREG_EAX(ctx) (*(ctx))->__ss.__eax
 #define CREG_EIP(ctx) (*(ctx))->__ss.__eip
 #endif
+#endif
 
 #else
 #include <windows.h>
@@ -156,6 +163,7 @@
 // backtrace useful function
 //
 
+#ifndef __FreeBSD__
 void print_trace(const char * msg)
 {
 	void *array[100];
@@ -170,6 +178,7 @@
 		printf("--> %s\n", strings[i]);
 	free(strings);
 }
+#endif
 
 void sigsegv_handler(int signal, siginfo_t *info, void *raw_context)
 {
