--- Source/Plugins/Plugin_Wiimote/Src/ConfigBasicDlg.cpp.orig	2010-03-19 09:40:51.000000000 +0000
+++ Source/Plugins/Plugin_Wiimote/Src/ConfigBasicDlg.cpp	2010-03-25 15:46:56.250863446 +0000
@@ -65,8 +65,10 @@
 	ControlsCreated = false;
 	m_Page = 0;
 
+#if HAVE_WIIUSE
 	// Initialize the Real WiiMotes here, so we get a count of how many were found and set everything properly
 	WiiMoteReal::Initialize();
+#endif
 
 	CreateGUIControls();
 	UpdateGUI();
@@ -82,7 +84,9 @@
 	switch(event.GetId())
 	{
 	case wxID_OK:
+#if HAVE_WIIUSE
 		WiiMoteReal::Allocate();
+#endif
 		g_Config.Save();
 		Close();
 		break;
@@ -337,6 +341,15 @@
 		m_TimeoutOnce->Start(1000, true);
 	}
 }
+#else
+void WiimoteBasicConfigDialog::DoRefreshReal()
+{
+	return;
+}
+void WiimoteBasicConfigDialog::DoUseReal()
+{
+	return;
+}
 #endif
 
 // Generate connect/disconnect status event
@@ -445,7 +458,11 @@
 	   has been initialized. Functions for that are basically already in place so these two options
 	   could possibly be simplified to one option. */
 	m_PairUpRealWiimote[m_Page]->Enable(g_EmulatorState != PLUGIN_EMUSTATE_PLAY);
+#if HAVE_WIIUSE
 	m_TextFoundRealWiimote[m_Page]->SetLabel(wxString::Format(wxT("Connected to %i Real Wiimotes"), WiiMoteReal::g_NumberOfWiiMotes));
+#else
+	m_TextFoundRealWiimote[m_Page]->SetLabel(wxString::Format(wxT("Connected to %i Real Wiimotes"), 0));
+#endif
 	m_ConnectRealWiimote[m_Page]->Enable(g_EmulatorState != PLUGIN_EMUSTATE_PLAY);
 
 	m_InputSource[m_Page]->SetSelection(WiiMoteEmu::WiiMapping[m_Page].Source);
